Affecting DHE keys less than 1023-bit are no longer accepted

Published: | Categories: Privacy & Security | Creative Commons BY-SA 3.0

Description

In order to prevent “Logjam” man-in-the-middle attacks, the lower length of the supported Ephemeral Diffie-Hellman (DHE) keys has been limited to 1023-bit. 512-bit export-grade cryptography is no longer available in the Mozilla products, and users may encounter the following error message on sites offering such a weak key:

Update: According to Firefox Input, Firefox Support and other sources, a certain number of sites are known to be affected by this change. Please make sure to keep your visitors secure. If you don’t know what does it mean, please notify your server administrator of the error.

References